﻿using System.Collections.ObjectModel;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace CustomAppointments_Sample
{
	public partial class CustomAppointments_SamplePage : ContentPage
	{
		ScheduleAppointmentMapping dataMapping;
		ObservableCollection<Meeting> meetings;
		ScheduleViewModel viewModel;

		public CustomAppointments_SamplePage()
		{
			InitializeComponent();

			schedule = new SfSchedule();
			dataMapping = new ScheduleAppointmentMapping();
			viewModel = new ScheduleViewModel();

			dataMapping.SubjectMapping = "EventName";
			dataMapping.StartTimeMapping = "From";
			dataMapping.EndTimeMapping = "To";
			dataMapping.ColorMapping = "color";
			schedule.AppointmentMapping = dataMapping;
			meetings = viewModel.ListOfMeeting;
			schedule.DataSource = meetings;
			schedule.ScheduleView = ScheduleView.WeekView;
			this.Content = schedule;
		}
	}
}
